Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Gentoo Local Security Checks >> [GLSA-200501-05] mit-krb5: Heap overflow in libkadm5srv


Vulnerability Assessment Details

[GLSA-200501-05] mit-krb5: Heap overflow in libkadm5srv

Vulnerability Assessment Summary
mit-krb5: Heap overflow in libkadm5srv

Detailed Explanation for this Vulnerability Assessment
The remote host is affected by the vulnerability described in GLSA-200501-05
(mit-krb5: Heap overflow in libkadm5srv)


The MIT Kerberos 5 administration library libkadm5srv contains a
heap overflow in the code handling password changing.

Impact

Under specific circumstances a possible hacker could execute arbitary
code with the permissions of the user running mit-krb5, which could be
the root user.

Workaround

There is no known workaround at this time.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1189


Solution:
All mit-krb5 users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose ">=app-crypt/mit-krb5-1.3.6"


Network Security Threat Level: High


Networks Security ID:

Vulnerability Assessment Copyright: (C) 2005 Michel Arboi

Cables, Connectors

USB 3.0 to 2.5" SATA III Hard Drive Adapter Cable w/UASP Converter for SSD/HDD B
$3.99
USB 3.0 to 2.5Dual Bay3.5"+2.5" SATAIII Hard Drive HDD&SSD Tray Caddy Rack Enclosure Y2Q6
$28.49
Dual Bay3.5KingSpec SATAIII SSD Solid State Drive with Cache Ca for Computer 1TB S6U9
$327.56
KingSpec SATAIII SSD Solid State Drive with Cache Ca for Computer 1TB S6U9 picture6Gbps 2TB 2.5" SATA SSD HDD Hard Drive to USB3.0 External Enclosure Caddy F9E4
$8.0
6Gbps 2TB 2.5


Discussions

No Discussions have been posted on this vulnerability.